﻿//********************************************************************************
//**
//**  Titel           : 
//**  Name            : WadImport.vb
//**  Typ             : DLL
//**  Copyright       : (c)2016 Christian Meyer
//**
//**  Beschreibung    : WinAlldatNet KIS Import DLL
//**
//**  Autor           : Christian Meyer
//**  Datum           : 17.12.2016
//**  Letzte Revision : 27.06.2022
//**  Status          : Konvertierung von WadExport.vb
//**  Änderungen      : 
//**
//********************************************************************************
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Windows.Forms;

public class WadImport

{
    //**************************************************************************************************
    //* WICHTIG: Funktioniert erst ab WinAlldatNet Release 20 !
    //**************************************************************************************************

    public struct ImportData
    {
        public int ipatid; //WinAlldat Patienten-ID (32-Bit Integer in Datenbank!); Wird austomatisch generiert wenn 0 oder NULL
        public int fallid; //WinAlldat Fall-ID (32-Bit Integer in Datenbank!); Wird austomatisch generiert wenn 0 oder NULL
        public string adminid;  //KIS Patienten-ID (ehemalige Stamm-Nr.)
        public string kiscaseid; //KIS Fall-Id
        public string patname;
        public string patfirstname;
        public string birthname;
        public string birthdate;
        public string sex;
        public string street;
        public string zipcode;
        public string city;
        public string country;
        public string phone_work;
        public string phone_athome;
        public string datecurrent;
        public string dateconsultation;
    }

    //********************************************************************************
    //*
    //********************************************************************************

    private ImportData oData;
    public ImportData Data
    {
        get { return oData; }
        set { oData = value; }
    }

    //********************************************************************************
    //*
    //********************************************************************************

    public List<ImportData> Import() //Diese Funktion wird vom WinAlldatNet Programm aufgerufen
    {
        var lstImport = new List<ImportData>();
        try
        {
            // Ab hier Schleife über die zu übergebenden Daten

            // Struktur füllen
            ImportData tImportData;
            tImportData.ipatid = 0;
            tImportData.fallid = 0;
            tImportData.adminid = "";
            tImportData.kiscaseid = "";
            tImportData.patname = "";
            tImportData.patfirstname = "";
            tImportData.birthname = "";
            tImportData.birthdate = "";
            tImportData.sex = "";
            tImportData.street = "";
            tImportData.zipcode = "";
            tImportData.city = "";
            tImportData.country = "";
            tImportData.phone_work = "";
            tImportData.phone_athome = "";
            tImportData.datecurrent = "";
            tImportData.dateconsultation = "";

            //Daten der Liste hinzufügen
            lstImport.Add(tImportData);

            // Ende Schleife
        }
        catch
        {
        
        }
        // Hier wird die Liste mit Importdaten an das WinAlldatNet Programm übergeben
        return lstImport;
    }

    //********************************************************************************
    //*
    //********************************************************************************

    private string GetBaseDirectory()
    {
        try
        {
            return System.IO.Path.GetDirectoryName(Process.GetCurrentProcess().MainModule.FileName);
        }
        catch
        {
            return "";
        }
    }

}


